> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/guides/working-with-the-import-api-v2/synchronization/synchronization-of-existing-resources.md).

# Synchronization of existing resources

To start tracking already existing resources in Collibra, you have to include all the components of the system or resource for the first synchronization. This will allow the synchronization API to track the resources during future synchronizations.

{% hint style="info" %}
No resources are removed on an initial synchronization as there is no previous state for any resource identified by the new [synchronization ID](/api/guides/working-with-the-import-api-v2/synchronization/synchronization-id.md).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/guides/working-with-the-import-api-v2/synchronization/synchronization-of-existing-resources.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
